Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class PropertySupport

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node.Property
              org.openide.nodes.PropertySupport

Direct Known Subclasses:
  PropertySupport.Name, PropertySupport.ReadOnly, PropertySupport.ReadWrite, PropertySupport.WriteOnly

    public abstract class PropertySupport

extends Node.Property

Support class for `Node.Property`.

See Also:
  `Node.Property`

Nested Class Summary
`static class` | `PropertySupport.Name` Support for the name property of a node.
`static class` | `PropertySupport.ReadOnly` A simple read-only property.
`static class` | `PropertySupport.ReadWrite` A simple read/write property.
`static class` | `PropertySupport.Reflection` Support for properties from Java Reflection.
`static class` | `PropertySupport.WriteOnly` A simple write-only property.

Constructor Summary
`PropertySupport(String name, Class type, String displayName, String shortDescription, boolean canR, boolean canW)` Constructs a new support.

Method Summary
`boolean` | `canRead()` Test whether the property is readable.
`boolean` | `canWrite()` Test whether the property is writable.

Methods inherited from class org.openide.nodes.Node.Property
`equals, getHtmlDisplayName, getPropertyEditor, getValue, getValueType, hashCode, isDefaultValue, restoreDefaultValue, setValue, supportsDefaultValue`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySupport

    public PropertySupport(String name,
                           Class type,
                           String displayName,
                           String shortDescription,
                           boolean canR,
                           boolean canW)

  Constructs a new support.

  Parameters:
    `name` - the name of the property
    `type` - the class type of the property
    `displayName` - the display name of the property
    `canR` - whether the property is readable
    `canW` - whether the property is writable

Method Detail

### canRead

    public boolean canRead()

  Description copied from class: `Node.Property`
  Test whether the property is readable.

  Specified by:
    `canRead` in class `Node.Property`
  Returns:
    `true` if it is

### canWrite

    public boolean canWrite()

  Description copied from class: `Node.Property`
  Test whether the property is writable.

  Specified by:
    `canWrite` in class `Node.Property`
  Returns:
    `true` if the read of the value is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.